cURL
curl --request POST 'https://api.brightalk.ai/bulk-tasks/123e4567-e89b-42d3-a456-426614174000/start' \
--header "Authorization: Bearer $BRIGHTALK_API_KEY" \
--header "Brightalk-Version: 2026-07-16" \
--header "Content-Type: application/json" \
--header "Idempotency-Key: bulk-example-1" \
--data '{}'const response = await fetch("https://api.brightalk.ai/bulk-tasks/123e4567-e89b-42d3-a456-426614174000/start", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.BRIGHTALK_API_KEY}`,
"Brightalk-Version": "2026-07-16",
"Content-Type": "application/json",
"Idempotency-Key": "bulk-example-1"
},
body: JSON.stringify({}),
});
console.log(response.status, await response.json());import os
import requests
response = requests.request(
"POST",
"https://api.brightalk.ai/bulk-tasks/123e4567-e89b-42d3-a456-426614174000/start",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTALK_API_KEY']}",
"Brightalk-Version": "2026-07-16",
"Content-Type": "application/json",
"Idempotency-Key": "bulk-example-1"
},
json={},
)
print(response.status_code, response.json()){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "calls",
"recipient_format": "contact_ids",
"status": "uploading",
"total_recipients": 4503599627370495,
"uploaded_recipients": 4503599627370495,
"submitted_recipients": 4503599627370495,
"settled_recipients": 4503599627370495,
"failed_recipients": 4503599627370495,
"unknown_recipients": 4503599627370495,
"total_parts": 4503599627370495,
"submitted_parts": 4503599627370495,
"failed_parts": 4503599627370495,
"error_code": "<string>",
"upload_chunk_size": 500,
"created_at": "<string>"
}批次撥號
啟動大型任務
確認名單完整後封存上傳並授權背景準備,依設定及排程發送真實簡訊或進行 AI 撥號。test_mode 可避免發送與扣款。重複啟動不會重送。後續分段失敗不會撤銷先前已提交的分段。目前沒有整個任務的取消操作;已提交的撥號子批次可使用既有批次控制。
POST
/
bulk-tasks
/
{task_id}
/
start
cURL
curl --request POST 'https://api.brightalk.ai/bulk-tasks/123e4567-e89b-42d3-a456-426614174000/start' \
--header "Authorization: Bearer $BRIGHTALK_API_KEY" \
--header "Brightalk-Version: 2026-07-16" \
--header "Content-Type: application/json" \
--header "Idempotency-Key: bulk-example-1" \
--data '{}'const response = await fetch("https://api.brightalk.ai/bulk-tasks/123e4567-e89b-42d3-a456-426614174000/start", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.BRIGHTALK_API_KEY}`,
"Brightalk-Version": "2026-07-16",
"Content-Type": "application/json",
"Idempotency-Key": "bulk-example-1"
},
body: JSON.stringify({}),
});
console.log(response.status, await response.json());import os
import requests
response = requests.request(
"POST",
"https://api.brightalk.ai/bulk-tasks/123e4567-e89b-42d3-a456-426614174000/start",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTALK_API_KEY']}",
"Brightalk-Version": "2026-07-16",
"Content-Type": "application/json",
"Idempotency-Key": "bulk-example-1"
},
json={},
)
print(response.status_code, response.json()){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "calls",
"recipient_format": "contact_ids",
"status": "uploading",
"total_recipients": 4503599627370495,
"uploaded_recipients": 4503599627370495,
"submitted_recipients": 4503599627370495,
"settled_recipients": 4503599627370495,
"failed_recipients": 4503599627370495,
"unknown_recipients": 4503599627370495,
"total_parts": 4503599627370495,
"submitted_parts": 4503599627370495,
"failed_parts": 4503599627370495,
"error_code": "<string>",
"upload_chunk_size": 500,
"created_at": "<string>"
}標頭
主體
application/json
The body is of type object.
回應
已傳回任務狀態。已提交不代表已送達或執行完成。